## com.thingmagic
Class SerialReader.AntennaPort

    java.lang.Object
      com.thingmagic.SerialReader.AntennaPort

Enclosing class:
  SerialReader

    public static class SerialReader.AntennaPort

extends java.lang.Object

Representation of the device's antenna state.

Field Summary
`int` `numPorts` The number of physical antenna ports.
`int[]` `portTerminatedList` A list of physical antenna ports where an antenna has been detected.
`int` `rxAntenna` The current logical receive antenna port.
`int` `txAntenna` The current logical transmit antenna port.

Constructor Summary
`SerialReader.AntennaPort()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numPorts

    public int numPorts

  The number of physical antenna ports.

### txAntenna

    public int txAntenna

  The current logical transmit antenna port.

### rxAntenna

    public int rxAntenna

  The current logical receive antenna port.

### portTerminatedList

    public int[] portTerminatedList

  A list of physical antenna ports where an antenna has been detected.

Constructor Detail

### SerialReader.AntennaPort

    public SerialReader.AntennaPort()